[Solved] WorldGuard not working on Java 8?

Discussion in 'Spigot Plugin Help' started by Jacko, Jun 9, 2015.

  1. Solved the issue! Thanks so much @Tharsarian!

    [​IMG]

    Hello Spigot.

    I have recently updated my server to Java 8 and i have been getting this error.
    These are my plugins and i dont see why they are not working.

    Thankyou,
    Jacko.
     
    #1 Jacko, Jun 9, 2015
    Last edited: Jun 10, 2015
  2. Have you updated your server and world guard? I don't know any other way to fix it.
     
  3. yes
     
  4. I'm out of ideas.
     
  5. md_5

    Administrator Developer

    Update WorldEdit too
     
    • Agree Agree x 1
  6. Try downgrading Java?
     
  7. WOT?! Wait... I was about to update WG and WE to 6.1... can anyone confirm that's it's working on Java8?

    ty
     
  8. Confirm it works fine
     
    • Like Like x 1
  9. HOLY CRAP IT IS MY FELLOW AUSSIE!

    and yes i did that :p
     
    • Like Like x 1
  10. #AussiesTakeOverSpigot
     
  11. lol
     
  12. Have you restarted the server? NoClassDefFoundError's happen because people don't restart their server after replacing a plugin where it's definition has changed.
     
  13. Yes many times
     
  14. guys please this is urgent :(
     
  15. Glad this issue was resolved :)
     
    • Like Like x 1